## org.codehaus.groovy.classgen
Class ReturnAdder

    java.lang.Object
      org.codehaus.groovy.classgen.ReturnAdder

    public class ReturnAdder
    extends Object

Utility class to add return statements. Extracted from Verifier as it can be useful for some AST transformations

Constructor Summary
Constructor and Description
`ReturnAdder()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`static void` `addReturnIfNeeded(MethodNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReturnAdder

    public ReturnAdder()

Method Detail

### addReturnIfNeeded

    public static void addReturnIfNeeded(MethodNode node)

Copyright © 2003-2010 The Codehaus. All rights reserved.